%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:       pympdtouchgui
Version:    0.309
Release:    2%{?dist}
Summary:    PyMPDTouchGUI is a client for MPD that is usable via touchscreen    

Group:      Applications/Multimedia    
License:    GPLv2
URL:        http://www.spida.net/projects/pympdtouchgui/    
Source0:    http://www.spida.net/projects/pympdtouchgui/pympdtouchgui-0.309.tgz
Source1:    pympdtouchgui.desktop
Source2:    pympdtouchgui.png
Patch0:     pympdtouchgui-fixpath.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:   pygame
Requires:   python-imaging
BuildRequires: python-devel
BuildRequires: desktop-file-utils

%description
%{name} is a client for MPD that is usable via touchscreen and 
will run on embedded-systems without X (but works with X and a mouse,
too).


%prep
%setup -q
%patch0 -p1

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

desktop-file-install --vendor="" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1} 

install -p -m 644 -D %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

# those files are never going to be executed directly
%{__sed} -i "s|#!/usr/bin/env python||" $RPM_BUILD_ROOT/%{python_sitelib}/libpympdtouchgui/__init__.py
%{__sed} -i "s|#!/usr/bin/env python||" $RPM_BUILD_ROOT/%{python_sitelib}/libpympdtouchgui/gui.py
rm -rf $RPM_BUILD_ROOT/usr/share/doc


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/var/lib/%{name}
%{python_sitelib}/*
%doc ChangeLog LICENSE README


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.309-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 19 2009 Sven Lankes <sven@lank.es> - 0.309-1
- new upstream release

* Mon Dec 22 2008 Sven Lankes <sven@lank.es> - 0.302-6
- rebuild for python 2.6

* Mon Nov 03 2008 Sven Lankes <sven@lank.es> - 0.302-5
- add Icon

* Mon Nov 03 2008 Sven Lankes <sven@lank.es> - 0.302-4
- rename patch
- add .desktop-file

* Sun Nov 02 2008 Sven Lankes <sven@lank.es> - 0.302-3
- update patch to also change wrong paths (upstream is aware of the issues addressed by the patch and they should be fixed there soon)
- update patch to fix wrong theme-destination dir

* Sun Nov 02 2008 Sven Lankes <sven@lank.es> - 0.302-2
- change handline of doc-files

* Sun Nov 02 2008 Sven Lankes <sven@lank.es> - 0.302-1
- initial package

